summaryrefslogtreecommitdiffstats
path: root/source/l/enchant/enchant.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/enchant/enchant.SlackBuild')
-rwxr-xr-xsource/l/enchant/enchant.SlackBuild21
1 files changed, 11 insertions, 10 deletions
diff --git a/source/l/enchant/enchant.SlackBuild b/source/l/enchant/enchant.SlackBuild
index d4f0eb9bc..245a9506d 100755
--- a/source/l/enchant/enchant.SlackBuild
+++ b/source/l/enchant/enchant.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2007 Alex Elliott <alex@alex-elliott.co.uk>
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2013 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,9 +23,10 @@
# Modified by Robby Workman <rworkman at slackware.com>
-
-VERSION=1.5.0
+PKGNAM=enchant
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
+
NUMJOBS=${NUMJOBS:-" -j6 "}
# Automatically determine the architecture we're building on:
@@ -40,7 +41,7 @@ fi
CWD=$(pwd)
TMP=${TMP:-/tmp}
-PKG=$TMP/package-enchant
+PKG=$TMP/package-${PKGNAM}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -59,9 +60,9 @@ fi
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf enchant-$VERSION
-tar xvf $CWD/enchant-$VERSION.tar.xz || exit 1
-cd enchant-$VERSION || exit 1
+rm -rf ${PKGNAM}-$VERSION
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.xz || exit 1
+cd ${PKGNAM}-$VERSION || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -94,12 +95,12 @@ make install DESTDIR=$PKG || exit 1
for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
-mkdir -p $PKG/usr/doc/enchant-$VERSION
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
cp -a AUTHORS BUGS COPYING* HACKING MAINTAINERS NEWS README TODO \
- $PKG/usr/doc/enchant-$VERSION || true
+ $PKG/usr/doc/${PKGNAM}-$VERSION || true
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $TMP/enchant-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz